Skip to main content
GET https://api.speccheckrx.com/v1/catalogs/addons

Authentication

This endpoint requires bearer token authentication.

Headers

Authorization
string
required
Your bearer token in the format Bearer <token>.
User-Email
string
required
The email address of the user making the request.Must exactly match the email address used to log in to the SpecCheck Dashboard.

Parameters

lab
string
required
The ID of the lab for this request.
account_number
string
required
The lab account number for this request.
style
string
required
The ID of the lens style.
material
string
required
The ID of the lens material.

Returns

Returns an object with a data object containing coats, tints, and colors.
data
object
{
  "data": {
    "coats": [
      {
        "id": "coat_123",
        "name": "Anti-Reflective Coating",
        "type": "ar"
      }
    ],
    "colors": [
      {
        "id": "color_123",
        "name": "Crystal Gray"
      }
    ],
    "tints": ["Gray", "Brown"]
  }
}
curl "https://api.speccheckrx.com/v1/catalogs/addons?lab={{LAB_ID}}&account_number={{ACCOUNT_NUMBER}}&style={{STYLE_ID}}&material={{MATERIAL_ID}}" \
  -H "Authorization: Bearer {{ACCESS_TOKEN}}" \
  -H "User-Email: {{USER_EMAIL}}"